Bug 178625 - [maintainer-update] [patch] devel/diffuse: Update to 0.4.7 release
Summary: [maintainer-update] [patch] devel/diffuse: Update to 0.4.7 release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-14 11:10 UTC by Marco Bröder
Modified: 2013-05-15 08:51 UTC (History)
0 users

See Also:


Attachments
file.diff (2.90 KB, patch)
2013-05-14 11:10 UTC, Marco Bröder
no flags Details | Diff
file.dat (230 bytes, text/plain; charset="us-ascii")
2013-05-14 11:03 UTC, Marco Bröder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Bröder 2013-05-14 11:03:53 UTC
>Number:         178625
>Category:       ports
>Synopsis:       [maintainer-update] [patch] devel/diffuse: Update to 0.4.7 release
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Tue May 14 10:10:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Marco Bröder
>Release:        stable/9 amd64
>Organization:
>Environment:
>Description:
- Update to 0.4.7 release
- Convert USE_GNOME to USES for desktop-file-utils
- Remove update-desktop-database call which is now invoked by USES feature
- Add two new translations
- Restore some blank lines for better visibility
- Update and sort pkg-plist

Tested: portlint, tinderbox, redports, pkg install / delete, limited runtime

If there are questions, please ask. Tinderbox logs available.

https://redports.org/buildarchive/20130514082000-49283/

Thanks!

>How-To-Repeat:

>Fix:

diff --git a/devel/diffuse/Makefile b/devel/diffuse/Makefile
index 9c92d50..12348e5 100644
--- a/devel/diffuse/Makefile
+++ b/devel/diffuse/Makefile
@@ -2,8 +2,7 @@
 # $FreeBSD: devel/diffuse/Makefile 316464 2013-04-24 18:10:30Z ak $
 
 PORTNAME=	diffuse
-PORTVERSION=	0.4.6
-PORTREVISION=	3
+PORTVERSION=	0.4.7
 CATEGORIES=	devel python
 MASTER_SITES=	SF
 
@@ -28,7 +27,7 @@ OPTIONS_DEFINE=	DATA DOCS MENU NLS
 DATA_DESC=	Enable syntax highlighting support
 MENU_DESC=	Enable a desktop program menu entry
 
-OPTIONS_DEFAULT=	DATA MENU
+OPTIONS_DEFAULT=DATA MENU
 
 .include <bsd.port.options.mk>
 
@@ -37,7 +36,7 @@ PORTDATA=	syntax
 .endif
 
 .if ${PORT_OPTIONS:MMENU}
-USE_GNOME+=	desktopfileutils
+USES+=		desktop-file-utils
 PLIST_SUB+=	MENU=""
 .else
 PLIST_SUB+=	MENU="@comment "
@@ -45,8 +44,8 @@ PLIST_SUB+=	MENU="@comment "
 
 .if ${PORT_OPTIONS:MNLS}
 USES+=		gettext
-TRANSLATIONS=	de es it ja ko ru zh_CN
-MANLANG=	"" it ru
+TRANSLATIONS=	cs de es it ja ko pl ru zh_CN
+MANLANG=	"" cs it ru
 PLIST_SUB+=	NLS=""
 .else
 PLIST_SUB+=	NLS="@comment "
@@ -76,17 +75,19 @@ post-install:
 	(cd ${WRKSRC}/src/usr/share/${PORTNAME} && \
 		${COPYTREE_SHARE} \* ${DATADIR})
 .endif
+
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	cd ${WRKSRC} && ${INSTALL_DATA} ${PORTDOCS} ${DOCSDIR}
 .endif
+
 .if ${PORT_OPTIONS:MMENU}
 	${INSTALL_DATA} ${WRKSRC}/src/usr/share/pixmaps/${PORTNAME}.png \
 		${PREFIX}/share/pixmaps/
 	${INSTALL_DATA} ${WRKSRC}/src/usr/share/applications/*.desktop \
 		${DESKTOPDIR}
-	${LOCALBASE}/bin/update-desktop-database -q
 .endif
+
 .if ${PORT_OPTIONS:MNLS}
 .for x in ${TRANSLATIONS}
 	${MKDIR} ${WRKSRC}/translations/${x}
diff --git a/devel/diffuse/distinfo b/devel/diffuse/distinfo
index 264d01b..f2dbbfc 100644
--- a/devel/diffuse/distinfo
+++ b/devel/diffuse/distinfo
@@ -1,2 +1,2 @@
-SHA256 (diffuse-0.4.6.tar.bz2) = 748922902573de316a4829f1ccc2cb6fab218b4aaf69a1a4aadba7fd8f8fd916
-SIZE (diffuse-0.4.6.tar.bz2) = 170246
+SHA256 (diffuse-0.4.7.tar.bz2) = b0f56acbd246f4b9a692ef51aab167134ae6650423a68d8e5f4ff4c8938f39ac
+SIZE (diffuse-0.4.7.tar.bz2) = 189257
diff --git a/devel/diffuse/pkg-plist b/devel/diffuse/pkg-plist
index 2f1ba4d..49807de 100644
--- a/devel/diffuse/pkg-plist
+++ b/devel/diffuse/pkg-plist
@@ -2,14 +2,18 @@ bin/diffuse
 etc/diffuserc
 %%MENU%%share/applications/diffuse.desktop
 %%MENU%%share/pixmaps/diffuse.png
+%%NLS%%share/locale/cs/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/de/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/es/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/it/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/ja/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/ko/LC_MESSAGES/diffuse.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/ru/LC_MESSAGES/diffuse.mo
 %%NLS%%share/locale/zh_CN/LC_MESSAGES/diffuse.mo
-@dirrmtry man/ru/man1
-@dirrmtry man/ru
+@dirrmtry man/cs/man1
+@dirrmtry man/cs
 @dirrmtry man/it/man1
 @dirrmtry man/it
+@dirrmtry man/ru/man1
+@dirrmtry man/ru


>Release-Note:
>Audit-Trail:
>Unformatted:
Comment 1 Marco Bröder 2013-05-14 11:10:00 UTC
- Update to 0.4.7 release
- Convert USE_GNOME to USES for desktop-file-utils
- Remove update-desktop-database call which is now invoked by USES feature
- Add two new translations
- Restore some blank lines for better visibility
- Update and sort pkg-plist

Tested: portlint, tinderbox, redports, pkg install / delete, limited runtime

If there are questions, please ask. Tinderbox logs available.

https://redports.org/buildarchive/20130514082000-49283/

Thanks!

Fix: Patch attached with submission follows:
Comment 2 Martin Wilke freebsd_committer 2013-05-14 14:38:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 3 Martin Wilke freebsd_committer 2013-05-15 08:51:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!